Bug 409751 - OpenAL games won't Launch
OpenAL games won't Launch
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openal (Show other bugs)
7
i686 Linux
low Severity high
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-03 23:04 EST by Tim McConnell
Modified: 2007-12-20 20:59 EST (History)
0 users

See Also:
Fixed In Version: 0.0.9-0.12.20060204cvs.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 742916 (view as bug list)
Environment:
Last Closed: 2007-12-20 15:14:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim McConnell 2007-12-03 23:04:36 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible: Attempt to play a game that uses OpenAL 


Steps to Reproduce:
1. Launch game such as Thunder and Lightning or Vega Strike
2. Game will not launch or if it does there is no sound 
3.game fails 
  
Actual results:
Game doesn't launch 

Expected results:
To be able to play the game 

Additional info:
From TnL with debug option on: 
In setSlot!
Config: HUD_font_big=dejavu-sans-20-bold
In setSlot!
Config: TexMan_cache_size=256
In setSlot!
Config: TexMan_missing_texture=/usr/share/tnl/textures/missing-texture.png
In setSlot!
Config: Environment_clip_min=1.0
In setSlot!
Config: Environment_clip_max=20000
In setSlot!
Config: Environment_fog_r=0.792156862745098
In setSlot!
Config: Environment_fog_g=0.6431372549019608
In setSlot!
Config: Environment_fog_b=0.5686274509803921
In setSlot!
Config: Environment_ground_fog_min=0.0
In setSlot!
Config: Environment_ground_fog_max=400.0
In setSlot!
Config: Environment_ground_fog_range=3500.0
In setSlot!
Config: SoundMan_sound_dir=/usr/share/tnl/sounds
In setSlot!
Config: SoundMan_doppler_velocity=5000
In setSlot!
Config: SoundMan_doppler_factor=1
In setSlot!
Config: SoundMan_channels=64
In setSlot!
Config: SoundMan_minimum_gain=0.001
In setSlot!
Config: SoundMan_hysteresis=0.01
In setSlot!
Config: LoDQuadManager_terrain_prefix=/usr/share/tnl/lod-terrains/compare/terrain
In setSlot!
Config: LoDQuadManager_texture_prefix=/usr/share/tnl/lod-terrains/compare/texture
In setSlot!
Config: LoDQuadManager_texmap_prefix=/usr/share/tnl/lod-terrains/compare/texmap
In setSlot!
Config: LoDQuadManager_lightmap_prefix=/usr/share/tnl/lod-terrains/compare/lightmap
In setSlot!
Config: LoDQuadManager_quads_w=1
In setSlot!
Config: LoDQuadManager_quads_h=1
In setSlot!
Config: LoDQuadManager_detail_tex_name=/usr/share/tnl/textures/detail-texture.spr
In setSlot!
Config: LoDQuadManager_tile_dir=/usr/share/tnl/textures/terrain-tiles
In setSlot!
Config: LoDQuadManager_texture_list=/usr/share/tnl/lod-terrains/compare/textures
In setSlot!
Config: Map_texture_file=/usr/share/tnl/lod-terrains/compare/map.spr
In setSlot!
Config: Sky_upside_texture_path=/usr/share/tnl/textures/sky-layer1-above.spr
In setSlot!
Config: Sky_downside_texture_path=/usr/share/tnl/textures/sky-layer1-below.spr
In setSlot!
Config: SkyBox_texture_path=/usr/share/tnl/textures/skybox/pastel
In setSlot!
Config: Gunsight_texture_file=/usr/share/tnl/textures/gunsight.spr
In setSlot!
Config: SmokeTrail_smoke_tex=/usr/share/tnl/textures/missile_smoke.spr
In setSlot!
Config: SmokeTrail_puffy_tex=/usr/share/tnl/textures/puffy_smoke.spr
In setSlot!
Config: SmokeColumn_puffy_tex=/usr/share/tnl/textures/puffy_smoke.spr
In setSlot!
Config: Explosion_frames=16
In setSlot!
Config: Explosion_seconds_per_frame=0.08
In setSlot!
Config: Explosion_tex_prefix=/usr/share/tnl/textures/explosion/explosion
In setSlot!
Config: Explosion_tex_postfix=.png
In setSlot!
Config: Explosion_size=20.0
In setSlot!
Config: Explosion_num_sounds=1
In setSlot!
Config: Explosion_sound_prefix=explosion-0
In setSlot!
Config: Explosion_sound_postfix=.wav
In setSlot!
Config: Drone_model_path=/usr/share/tnl/models/lightning
In setSlot!
Config: Drone_skeleton=/usr/share/tnl/models/lightning/lightning.spec
In setSlot!
Config:
Drone_inside_model_file=/usr/share/tnl/models/lightning/lightning-with-interior.obj
In setSlot!
Config: Drone_outside_model_file=/usr/share/tnl/models/lightning/lightning.obj
In setSlot!
Config: Drone_model_bounds=/usr/share/tnl/models/lightning/lightning.bounds
In setSlot!
Config: Drone_mfd_model_file=/usr/share/tnl/models/lightning/lightning-mfd.obj
In setSlot!
Config: Drone_target_radius=3.5
In setSlot!
Config: Drone_pilot_pos=Vector3( 0 0.8 1.9)
In setSlot!
Config: Drone_cannon_sound=cannon-shoot-1.wav
In setSlot!
Config: Drone_engine_sound=aircraft-engine-1.wav
In setSlot!
Config: Drone_engine_gain_lowest=0.4
In setSlot!
Config: Drone_engine_gain_highest=1.0
In setSlot!
Config: Drone_engine_pitch_lowest=0.7
In setSlot!
Config: Drone_engine_pitch_highest=1.3
In setSlot!
Config: Drone_engine_max_gain=1.0
In setSlot!
Config: Drone_engine_reference_distance=200.0
In setSlot!
Config: Drone_wheel_model_file=/usr/share/tnl/models/misc/tire.obj
In setSlot!
Config: Drone_NoseWheel_range=1.2
In setSlot!
Config: Drone_NoseWheel_force=100000
In setSlot!
Config: Drone_NoseWheel_damping=15000
In setSlot!
Config: Drone_NoseWheel_C_tan_min=50
In setSlot!
Config: Drone_NoseWheel_C_tan_max=50
In setSlot!
Config: Drone_NoseWheel_C_norm=10000
In setSlot!
Config: Drone_LeftWheel_range=0.8
In setSlot!
Config: Drone_LeftWheel_force=50000
In setSlot!
Config: Drone_LeftWheel_damping=15000
In setSlot!
Config: Drone_LeftWheel_C_tan_min=50
In setSlot!
Config: Drone_LeftWheel_C_tan_max=1000
In setSlot!
Config: Drone_LeftWheel_C_norm=1000
In setSlot!
Config: Drone_RightWheel_range=0.8
In setSlot!
Config: Drone_RightWheel_force=50000
In setSlot!
Config: Drone_RightWheel_damping=15000
In setSlot!
Config: Drone_RightWheel_C_tan_min=50
In setSlot!
Config: Drone_RightWheel_C_tan_max=1000
In setSlot!
Config: Drone_RightWheel_C_norm=1000
In setSlot!
Config: Drone_max_tailhook_force=40000
In setSlot!
Config: Drone_Vulcan_rounds=250
In setSlot!
Config: Drone_Sidewinder_rounds=6
In setSlot!
Config: Drone_Hydra_rounds=14
In setSlot!
Config: Tank_model_path=/usr/share/tnl/models/newtank
In setSlot!
Config: Tank_skeleton=/usr/share/tnl/models/newtank/Tank.spec
In setSlot!
Config: Tank_model_bounds=/usr/share/tnl/models/newtank/Tank.bounds
In setSlot!
Config: Tank_cannon_sound=cannon-shoot-1.wav
In setSlot!
Config: Tank_engine_sound_low=car-engine-1-loop.wav
In setSlot!
Config: Tank_engine_sound_high=car-engine-2-loop.wav
In setSlot!
Config: Tank_cannon_rounds=25
In setSlot!
Config: Tank_cannon_factor=10
In setSlot!
Config: Tank_vulcan_rounds=1200
In setSlot!
Config: Tank_vulcan_factor=0.5
In setSlot!
Config: Tank_vulcan_loadtime=0.4
In setSlot!
Config: FontMan_dir=/usr/share/tnl/fonts
In setSlot!
Config: FontMan_default_font=dejavu-sans-24-normal
In setSlot!
Config: Io_init_script=/usr/share/tnl/scripts/init.io
In setSlot!
Config: Io_init_script_2=/usr/share/tnl/scripts/init2.io
In setSlot!
Config: DumbMissile_model=/usr/share/tnl/models/missiles/dumbmissile.obj
In setSlot!
Config: DumbMissile_engine_sound=rocket-engine-1.wav
In setSlot!
Config: DumbMissile_mass=10.705
In setSlot!
Config: DumbMissile_Ixx=6
In setSlot!
Config: DumbMissile_Iyy=6
In setSlot!
Config: DumbMissile_Izz=2
In setSlot!
Config: DumbMissile_CdA_f=0.0000766395062135
In setSlot!
Config: DumbMissile_CdA_s=0.086865
In setSlot!
Config: DumbMissile_torque_factor_z=3
In setSlot!
Config: DumbMissile_torque_factor_xy=3
In setSlot!
Config: DumbMissile_pitching_factor=0.1
In setSlot!
Config: DumbMissile_blast_begin=0
In setSlot!
Config: DumbMissile_blast_end=1.05
In setSlot!
Config: DumbMissile_max_thrust=7545
In setSlot!
Config: DumbMissile_min_explosion_age=0
In setSlot!
Config: DumbMissile_max_lifetime=30
In setSlot!
Config: SmartMissile_model=/usr/share/tnl/models/missiles/smartmissile.obj
In setSlot!
Config: SmartMissile_engine_sound=rocket-engine-1.wav
In setSlot!
Config: SmartMissile_mass=85.5
In setSlot!
Config: SmartMissile_Ixx=60
In setSlot!
Config: SmartMissile_Iyy=60
In setSlot!
Config: SmartMissile_Izz=20
In setSlot!
Config: SmartMissile_torque_factor_z=100
In setSlot!
Config: SmartMissile_torque_factor_xy=100
In setSlot!
Config: SmartMissile_pitching_factor=0
In setSlot!
Config: SmartMissile_CdA_f=0.0002654645792283
In setSlot!
Config: SmartMissile_CdA_s=0.4446
In setSlot!
Config: SmartMissile_blast_begin=0.3
In setSlot!
Config: SmartMissile_blast_end=1.55
In setSlot!
Config: SmartMissile_max_thrust=40000
In setSlot!
Config: SmartMissile_min_explosion_age=1.5
In setSlot!
Config: SmartMissile_max_lifetime=75
In setSlot!
Config: SmartMissile_Kp=8
In setSlot!
Config: SmartMissile_Ki=0
In setSlot!
Config: SmartMissile_Kd=20
In setSlot!
Config: Cannon_loadtime=2
In setSlot!
Config: Cannon_singleshot=true
In setSlot!
Config: Cannon_guided=false
In setSlot!
Config: Cannon_max_range=8000
In setSlot!
Config: Cannon_time_of_accel=0
In setSlot!
Config: Cannon_factor=10
In setSlot!
Config: Cannon_muzzle_velocity=1200
In setSlot!
Config: Cannon_reference_speed=1200
In setSlot!
Config: Cannon_sound=cannon-shoot-1.wav
In setSlot!
Config: Cannon_reference_distance=200.0
In setSlot!
Config: Cannon_gain=1.0
In setSlot!
Config: Vulcan_factor=0.45
In setSlot!
Config: Vulcan_loadtime=0.2
In setSlot!
Config: Vulcan_singleshot=false
In setSlot!
Config: Vulcan_guided=false
In setSlot!
Config: Vulcan_max_range=5000
In setSlot!
Config: Vulcan_muzzle_velocity=800
In setSlot!
Config: Vulcan_reference_speed=800
In setSlot!
Config: Vulcan_time_of_accel=0
In setSlot!
Config: Vulcan_sound=cannon-shoot-2.wav
In setSlot!
Config: Vulcan_reference_distance=100.0
In setSlot!
Config: Vulcan_gain=0.05
In setSlot!
Config: Hydra_loadtime=1
In setSlot!
Config: Hydra_singleshot=true
In setSlot!
Config: Hydra_guided=false
In setSlot!
Config: Hydra_max_range=5000
In setSlot!
Config: Hydra_time_of_accel=1.05
In setSlot!
Config: Hydra_reference_speed=739.14
In setSlot!
Config: Hydra_launch_speed=0
In setSlot!
Config: Hydra_needs_target=false
In setSlot!
Config: Sidewinder_loadtime=1
In setSlot!
Config: Sidewinder_singleshot=true
In setSlot!
Config: Sidewinder_guided=true
In setSlot!
Config: Sidewinder_max_range=12000
In setSlot!
Config: Sidewinder_time_of_accel=0.0
In setSlot!
Config: Sidewinder_reference_speed=0.0
In setSlot!
Config: Sidewinder_launch_speed=0
In setSlot!
Config: Sidewinder_needs_target=true
In setSlot!
Config: Decoy_loadtime=0.7
In setSlot!
Config: Decoy_singleshot=true
In setSlot!
Config: Decoy_guided=false
In setSlot!
Config: Decoy_max_range=0
In setSlot!
Config: Decoy_time_of_accel=0
In setSlot!
Config: Decoy_reference_speed=1.0
In setSlot!
Config: Decoy_launch_speed=0
In setSlot!
Config: Decoy_needs_target=false
In setSlot!
Config: Carrier_model_path=/usr/share/tnl/models/carrier
In setSlot!
Config: Carrier_skeleton=/usr/share/tnl/models/carrier/Carrier.spec
In setSlot!
Config: Carrier_model_bounds=/usr/share/tnl/models/carrier/carrier.bounds
In setSlot!
Config: Carrier_model_hull=/usr/share/tnl/models/carrier/carrier-hull-reduced.obj
In setSlot!
Config: Carrier_Vulcan_rounds=2400
In setSlot!
Config: Water_vertex_shader=/usr/share/tnl/shaders/ocean.vert
In setSlot!
Config: Water_fragment_shader=/usr/share/tnl/shaders/ocean.frag
In setSlot!
Config: Water_tile_size=1000.0
In setSlot!
Config: Water_bumpmap=/usr/share/tnl/textures/water-dudvbump.png
In setSlot!
Config: Water_tile_uvspan=2.0
In setSlot!
Config: Water_tile_num=51
In setSlot!
Config: Water_fallback_texture=/usr/share/tnl/textures/terrain-tiles/water.spr
In setSlot!
Config: Observer_accel_x=10
In setSlot!
Config: Observer_accel_y=-10
In setSlot!
Config: Observer_accel_z=-15
In setSlot!
Config: Observer_rotate_x=0.2
In setSlot!
Config: Observer_rotate_y=0.2
In setSlot!
Config: Observer_speed_factor=0.04
In setSlot!
Config: Lensflare_reflex_tex=/usr/share/tnl/textures/lensreflex.png
In setSlot!
Config: Lensflare_sparkle_thin_tex=/usr/share/tnl/textures/sparkle-thin.png
In setSlot!
Config: Lensflare_sparkle_thick_tex=/usr/share/tnl/textures/sparkle-thick.png
In setSlot!
Config: Lensflare_rot_speed_thin=-0.5
In setSlot!
Config: Lensflare_rot_speed_thick=1.5
In setSlot!
Config: InfoMessages_realtime=false
In setSlot!
Config: Game_fullscreen=true
In setSlot!
Config: Game_auto_resolution=true
In setSlot!
Config: Game_xres=800
In setSlot!
Config: Game_yres=600
In setSlot!
Config: Game_red_bits=5
In setSlot!
Config: Game_green_bits=5
In setSlot!
Config: Game_blue_bits=5
In setSlot!
Config: Game_zbuffer_bits=1
In setSlot!
Config: Game_fsaa_enabled=false
In setSlot!
Config: Game_fsaa_samples=2
In setSlot!
Config: Game_use_shaders=true
In setSlot!
Config: Water_mirror_texture_size=512
In setSlot!
Config: Water_use_shaders=true
In setSlot!
Config: Controls_enable_joystick=true
In setSlot!
Config: Controls_enable_mouse=true
In setSlot!
Config: Controls_joystick_sensitivity=2
In setSlot!
Config: Game_grab_mouse=true
In setSlot!
Config: Camera_focus=1.5
In setSlot!
Config: Camera_aspect=1.3333333333333333
Io: Exiting init.io
Back in C++.
Initializing SDL: Found 1 joysticks.
done.
Initializing video.
Requested mode: 1152x768 (fullscreen, auto-detected)
 got r/g/b/d 8/8/8/24 with double buffering. Initializing OpenGL renderer.
<JOpenGLRenderer::JOpenGLRenderer)>
Initializing JOpenGLRenderer.
Some information about GL implementation:
Vendor:NVIDIA Corporation
Renderer:GeForce2 MX/AGP/SSE/3DNOW!
Version:1.5.8 NVIDIA 96.43.01
Extensions:GL_ARB_imaging GL_ARB_multitexture GL_ARB_pixel_buffer_object
GL_ARB_point_parameters GL_ARB_point_sprite GL_ARB_shader_objects
GL_ARB_shading_language_100 GL_ARB_texture_compression GL_ARB_texture_cube_map
GL_ARB_texture_env_add GL_ARB_texture_env_combine GL_ARB_texture_env_dot3
GL_ARB_texture_mirrored_repeat GL_ARB_texture_rectangle GL_ARB_transpose_matrix
GL_ARB_vertex_buffer_object GL_ARB_vertex_program GL_ARB_vertex_shader
GL_ARB_window_pos GL_S3_s3tc GL_EXT_texture_env_add GL_EXT_abgr GL_EXT_bgra
GL_EXT_blend_color GL_EXT_blend_minmax GL_EXT_blend_subtract
GL_EXT_clip_volume_hint GL_EXT_compiled_vertex_array GL_EXT_Cg_shader
GL_EXT_draw_range_elements GL_EXT_fog_coord GL_EXT_gpu_program_parameters
GL_EXT_multi_draw_arrays GL_EXT_packed_pixels GL_EXT_paletted_texture
GL_EXT_pixel_buffer_object GL_EXT_point_parameters GL_EXT_rescale_normal
GL_EXT_secondary_color GL_EXT_separate_specular_color
GL_EXT_shared_texture_palette GL_EXT_stencil_wrap
GL_EXT_texture_compression_s3tc GL_EXT_texture_cube_map
GL_EXT_texture_edge_clamp GL_EXT_texture_env_combine GL_EXT_texture_env_dot3
GL_EXT_texture_filter_anisotropic GL_EXT_texture_lod GL_EXT_texture_lod_bias
GL_EXT_texture_object GL_EXT_vertex_array GL_IBM_rasterpos_clip
GL_IBM_texture_mirrored_repeat GL_KTX_buffer_region GL_NV_blend_square
GL_NV_fence GL_NV_fog_distance GL_NV_light_max_exponent
GL_NV_packed_depth_stencil GL_NV_pixel_data_range GL_NV_point_sprite
GL_NV_register_combiners GL_NV_texgen_reflection GL_NV_texture_env_combine4
GL_NV_texture_rectangle GL_NV_vertex_array_range GL_NV_vertex_array_range2
GL_NV_vertex_program GL_NV_vertex_program1_1 GL_SGIS_generate_mipmap
GL_SGIS_multitexture GL_SGIS_texture_lod GL_SUN_slice_accum 
</JOpenGLRenderer::JOpenGLRenderer>
Done initializing OpenGL renderer.
Done initializing video.
Initializing GLEW:
  - detected OpenGL 1.3 support
  - detected OpenGL 1.4 support
  - detected OpenGL 1.5 support
Done.
Initializing managers... Initializing FontMan... FontMan: default font is
dejavu-sans-24-normal
done.
Initializing SoundMan... open /dev/[sound/]dsp: Device or resource busy
OpenAL (ALC) Error 40961: ALC_INVALID_DEVICE 
Killing Io.
Done.
Not found: key Game_restore_resolution. Fallback to "(null)"
Exiting SDL.
Exiting game.
Comment 1 Fedora Update System 2007-12-12 15:03:06 EST
openal-0.0.9-0.12.20060204cvs.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openal'
Comment 2 Tim McConnell 2007-12-12 20:29:22 EST
okay I'll let you know the results. 
Comment 3 Tim McConnell 2007-12-20 01:11:56 EST
Nope still won't launch Thunder and Lightning.
Still throws:
Initializing SoundMan... open /dev/[sound/]dsp: Device or resource busy
open /dev/[sound/]dsp: Device or resource busy
OpenAL (ALC) Error 40961: ALC_INVALID_DEVICE 
 Suggestions? 
I've tried un-installing and re-installing. 
Comment 4 Andreas Bierfert 2007-12-20 02:35:05 EST
It should default to alsa now. Could you please check if you are using the new
/etc/openalrc or if it was created as /etc/openalrc.rpmnew
Comment 5 Fedora Update System 2007-12-20 15:14:47 EST
openal-0.0.9-0.12.20060204cvs.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Tim McConnell 2007-12-20 20:59:22 EST
(In reply to comment #4)
> It should default to alsa now. Could you please check if you are using the new
> /etc/openalrc or if it was created as /etc/openalrc.rpmnew

It is /etc/openalrc

Note You need to log in before you can comment on or make changes to this bug.